// @ts-ignore
/* eslint-disable */

// 该文件自动生成，请勿手动修改！

// --------------------------------------------------------------------------
// 缺测替补审核服务
// --------------------------------------------------------------------------

import { request } from '@umijs/max';

/** 提交审核 POST /api/exam/absent/replace/audit/submit */
export async function submit(data: API.BaseId, options?: { [key: string]: any }) {
    const url = '/api/exam/absent/replace/audit/submit';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 审核 POST /api/exam/absent/replace/audit/audit */
export async function audit(
    data: API.ExamAbsentReplaceAuditInput,
    options?: { [key: string]: any },
) {
    const url = '/api/exam/absent/replace/audit/audit';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 反审 POST /api/exam/absent/replace/audit/reaudit */
export async function reaudit(data: API.BaseId, options?: { [key: string]: any }) {
    const url = '/api/exam/absent/replace/audit/reaudit';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 获取待审核监测计划列表 POST /api/exam/absent/replace/audit/query-exam-plan-page-list */
export async function queryExamPlanPageList(
    data: API.ExamPlanPageInput,
    options?: { [key: string]: any },
) {
    const url = '/api/exam/absent/replace/audit/query-exam-plan-page-list';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<API.PageResponse<API.ExamPlanAuditOutput>>>(
        url,
        config,
    );
    return res?.data;
}

/** 获取待审核机构列表 POST /api/exam/absent/replace/audit/query-org-audit-page-list */
export async function queryOrgAuditPageList(
    data: API.ExamOrgDataReportAuditPageInput,
    options?: { [key: string]: any },
) {
    const url = '/api/exam/absent/replace/audit/query-org-audit-page-list';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<API.PageResponse<API.ExamPlanOrgAuditOutput>>>(
        url,
        config,
    );
    return res?.data;
}

export default {
    /** 提交审核 POST /api/exam/absent/replace/audit/submit */
    submit,
    /** 审核 POST /api/exam/absent/replace/audit/audit */
    audit,
    /** 反审 POST /api/exam/absent/replace/audit/reaudit */
    reaudit,
    /** 获取待审核监测计划列表 POST /api/exam/absent/replace/audit/query-exam-plan-page-list */
    queryExamPlanPageList,
    /** 获取待审核机构列表 POST /api/exam/absent/replace/audit/query-org-audit-page-list */
    queryOrgAuditPageList,
};
